package com.xtd.project.hkmanager.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Date;

@ApiModel("监控点信息表")
public class Device {
    private String guid;

    @ApiModelProperty(value = "编码设备id",example = "编码设备id")
    private String fkEncodeId;

    @ApiModelProperty(value = "设备名称",example = "设备名称")
    @NotNull(message = "设备名称不能为空")
    private String deviceName;

    @ApiModelProperty(value = "设备类型",example = "设备类型")
    private String type;

    @ApiModelProperty(value = "所属区域ID",example = "所属区域ID")
    @NotNull(message = "所属区域ID不能为空")
    private String fkRegionId;

    @ApiModelProperty(value = "通道号",example = "通道号")
    private Integer channelNo;

    @ApiModelProperty(value = "传输协议",example = "传输协议")
    private String transtypeName;

    @ApiModelProperty(value = "设备状态（0：未知  1：在线  2：离线）",example = "设备状态（0：未知  1：在线  2：离线）")
    private Integer deviceStatus;

    @ApiModelProperty(value = "安装位置",example = "安装位置")
    private String installLocation;

    @ApiModelProperty(value = "ip",example = "ip")
    private String ip;

    private String remark;

    private Integer state;

    private String createUser;

    private Date createTime;

    private String modifiedUser;

    private Date modifiedTime;

    private String fkOrgGuid;

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid == null ? null : guid.trim();
    }

    public String getFkEncodeId() {
        return fkEncodeId;
    }

    public void setFkEncodeId(String fkEncodeId) {
        this.fkEncodeId = fkEncodeId;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName == null ? null : deviceName.trim();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public String getFkRegionId() {
        return fkRegionId;
    }

    public void setFkRegionId(String fkRegionId) {
        this.fkRegionId = fkRegionId == null ? null : fkRegionId.trim();
    }

    public Integer getChannelNo() {
        return channelNo;
    }

    public void setChannelNo(Integer channelNo) {
        this.channelNo = channelNo;
    }

    public String getTranstypeName() {
        return transtypeName;
    }

    public void setTranstypeName(String transtypeName) {
        this.transtypeName = transtypeName == null ? null : transtypeName.trim();
    }

    public Integer getDeviceStatus() {
        return deviceStatus;
    }

    public void setDeviceStatus(Integer deviceStatus) {
        this.deviceStatus = deviceStatus;
    }

    public String getInstallLocation() {
        return installLocation;
    }

    public void setInstallLocation(String installLocation) {
        this.installLocation = installLocation == null ? null : installLocation.trim();
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip == null ? null : ip.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser == null ? null : createUser.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifiedUser() {
        return modifiedUser;
    }

    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }

    public Date getModifiedTime() {
        return modifiedTime;
    }

    public void setModifiedTime(Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

    public String getFkOrgGuid() {
        return fkOrgGuid;
    }

    public void setFkOrgGuid(String fkOrgGuid) {
        this.fkOrgGuid = fkOrgGuid == null ? null : fkOrgGuid.trim();
    }
}